Subject: RE: [Mip6] draft-ietf-mip6-radius-01.txt

From: "Chowdhury, Kuntal" <[email-masked]>
Date: Fri, 23 Feb 2007 14:17:32 -0500

Hi Julien,

Forwarding Avi's reply to you....

---------------------------------

Julien,

Thanx for the review.

Regarding your question:

>  I have one general question:
> 
>  In the split scenario, how does the RADIUS server know that it is 
> performing AAA for mip6 service and not for network access ?
> 
> (FYI, we encounter this problem in the DiME WG and we'll solve this by

> using a different Application ID.)

In RADIUS we don't have an application id therefore the AAA server
determines the context of the packet it receives by examining the
attributes.  

For example:

The presence of an attribute in an Access-Request packet that only an HA
or even more specifically a MIPv6 HA would provide in this case: MIP6-HA
Attribute.  But this attribute is not a required attribute.

NAS-Port-Type:  can be set to a value such as HA-IPv6.  This is the most
reliable attribute but we need IANA to assign the attribute.

The AAA may also know the context by using the NAS-IP and/or the
NAS-Ids, that is, it will know that a particular NAS-IP is an HA vs a
NAS. This obivously doesn't scale to large deployments.

I think we need to update the draft to cover this discussion and request
IANA for a NAS-Port-Type.

---------------------------------

> -----Original Message-----
> From: Julien Bournelle [mailto:[email-masked]]
> Sent: Monday, February 19, 2007 4:46 AM
> To: [email-masked]
> Subject: [Mip6] draft-ietf-mip6-radius-01.txt
> 
> Hi,
> 
>  I quickly read the document called: draft-ietf-mip6-radius-01.txt
> 
>  I have one general question:
> 
>  In the split scenario, how does the RADIUS server know that it is
>  performing AAA for mip6 service and not for network access ?
> 
> (FYI, we encounter this problem in the DiME WG and we'll solve this
>  by using a different Application ID.)
> 
>   Some editorials comments:
> 
>  section 3.2:
> 
>  "Since scenario (1) is the more generic..."
> 
>  I think you wanted to say "scenario (2)
> 
>  section 4.2
> 
>  s/HOA/HA
> 
>  section 5
> 
>  I think you can add Access-Request message since the MIP6-DNS-MO may
be
>  sent in this message (if I understood well).
> 
>  My 2 cents,
> 
>  Julien
> 
> _______________________________________________
> Mip6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mip6

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6